import { LanguageSupport } from "@codemirror/language";
import { StreamLanguage } from "@codemirror/stream-parser";
declare enum Scope {
    Title = "title",
    Body = "body",
    Text = "text",
    TextSubstitution = "textSubstitution",
    Inform6Inclusion = "inform6Inclusion",
    Inform6String = "inform6String"
}
interface State {
    currentScope: Scope;
    commentDepth: number;
}
declare const inform7Language: StreamLanguage<State>;
declare function inform7(): LanguageSupport;
export { inform7Language, inform7 };
